package com.chinaweal.aiccs.door.service;

import com.chinaweal.aiccs.aiccs.business.entity.TSTaskList;
import com.chinaweal.aiccs.door.dto.XCUserRoleDTO;
import com.chinaweal.aiccs.door.entity.TUserportal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaweal.aiccs.org.entity.TUsers;
import com.chinaweal.aicorg.model.AICUser;
import org.dom4j.DocumentException;

/**
 * <p>
 * 信创门户信息数据表 服务类
 * </p>
 *
 * @author chinaweal
 * @since 2022-01-25
 */
public interface ITUserportalService extends IService<TUserportal> {


    /**
     * 信创门户登陆
     * @param ticket
     * @param service
     * @return
     */
    AICUser casLogin(String ticket, String service) throws DocumentException;

    /**
     * 统一门户登陆
     * @param ticket
     * @param service
     * @return
     */
    AICUser casLogin_Unite(String ticket, String service) throws DocumentException;

    void saveUserByPortal(TUserportal tUserportalDto);

    TUserportal getByLocalUserId(String userId);

    /**
     * 统一门户待办推送
     * @author ymc
     * @date 2022年6月29日 11:21
     * @param taskListModel
     * @return
     */
    void doorTaskSend(TSTaskList taskListModel);

    /**
     * 信创门户待办推送
     * @author ymc
     * @date 2023年1月10日 17:18
     * @param taskListModel
     * @return
     */
    void doorTaskSend_XC(TSTaskList taskListModel);

    /**
     * 统一门户待办推送更新
     * @author ymc
     * @date 2022年6月29日 11:21
     * @param taskListModel
     * @return
     */
    void doorTaskSendUpdate(TSTaskList taskListModel, boolean isEnd);

    /**
     * 信创门户待办推送更新
     * @author ymc
     * @date 2023年1月10日 17:18
     * @param taskListModel
     * @return
     */
    void doorTaskSendUpdate_XC(TSTaskList taskListModel, boolean isEnd);


    void saveUserRole(XCUserRoleDTO xcUserRoleDTO, TUserportal tUserportal);

    AICUser casLogin_LangChao(String code, String service);

    void updateByUserName(String realname);
}
